Subject: bug#60415: closed (Re: bug#60415: Emacs master doesn't build if !HAVE_TREE_SITTER)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 06 Sep 2023 07:03:02 +0000

Your bug report

#60415: Emacs master doesn't build if !HAVE_TREE_SITTER

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
60415: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=60415
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#60415: Emacs master doesn't build if !HAVE_TREE_SITTER
From: Stefan Kangas <[email-masked]>
To: Yuan Fu <[email-masked]>
Cc: Po Lu <[email-masked]>, [email-masked], Paul Eggert <[email-masked]>
Date: Wed, 6 Sep 2023 00:02:09 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Yuan Fu <[email-masked]> writes:

>> On Dec 31, 2022, at 5:09 PM, Po Lu <[email-masked]> wrote:
>>
>> Paul Eggert <[email-masked]> writes:
>>
>>> On my platform the current Emacs master (commit
>>> 91ae9f3d12885373d38c3e8d693f7dc210f9d471) won't build, failing with:
>>>
>>>   ELC      progmodes/typescript-ts-mode.elc
>>>
>>> In toplevel form:
>>> progmodes/typescript-ts-mode.el:31:2: Error: Symbol’s function
>>> definition is vo\
>>> id: treesit-query-compile
>>>
>>>
>>> Full log (compressed) attached, built from Git on Fedora 37
>>> x86-64. The best fix isn't immediately obvious to me; adding a
>>> declare-function doesn't work.
>>>
>>> This platform doesn't have the tree-sitter library, so
>>> HAVE_TREE_SITTER is not defined which means C doesn't define
>>> treesit-query-compile.
>>>
>>> I will probably just install the tree-sitter library to work around
>>> the bug, but thought I'd document it. Presumably you can simulate it
>>> by configuring --without-tree-sitter.
>>
>> Copying in Yuan Fu.
>>
>> Would people please test their changes on an Emacs *WITHOUT* tree-sitter
>> before installing them in the future?
>
> Yeah I’ve setup a no-tree-sitter build so I could catch these in the future. Sorry for the inconvenience.

That was 9 months ago.

I'm assuming this has been fixed by now, and that the bug was left open
by accident.  Therefore, I'm closing this bug report.

If anyone is still seeing this, please report back and we can
investigate.

Thanks.

Subject: Emacs master doesn't build if !HAVE_TREE_SITTER
From: Paul Eggert <[email-masked]>
To: [email-masked]
Date: Thu, 29 Dec 2022 20:46:32 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

On my platform the current Emacs master (commit 
91ae9f3d12885373d38c3e8d693f7dc210f9d471) won't build, failing with:

   ELC      progmodes/typescript-ts-mode.elc

In toplevel form:
progmodes/typescript-ts-mode.el:31:2: Error: Symbol’s function 
definition is vo\
id: treesit-query-compile

Full log (compressed) attached, built from Git on Fedora 37 x86-64. The 
best fix isn't immediately obvious to me; adding a declare-function 
doesn't work.

This platform doesn't have the tree-sitter library, so HAVE_TREE_SITTER 
is not defined which means C doesn't define treesit-query-compile.

I will probably just install the tree-sitter library to work around the 
bug, but thought I'd document it. Presumably you can simulate it by 
configuring --without-tree-sitter.